QGIS Application - Feature request #11912

rotation: the composer map item should rely on the new map rotation feature

2014-12-23 02:34 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20122
Description

Right now, the newly coded rotation feature is only useable on qgis' main canvas, meaning composer sheets can't make use of its benefits

(a rotation which doesn't rotate symbology, layer, etc.).

The composer map item has a map rotation input, but it is not as efficient (as it rotates the rendered map, instead of rotating the datasets
prior to symbology and labelling). The composer map item rotation feature should be updated to rely on the new map rotation code.

Newly inserted maps should also by default set its rotation value to the one currently used in the main canvas (like the item does for

background color upon insertion)

Associated revisions

Revision a40ecada - 2015-02-07 03:34 PM - Sandro Santilli

Use core support for map rotation in composer

Includes patch by Martin Dobias

See http://lists.osgeo.org/pipermail/qgis-developer/2015-January/036309.html

Fix #11912

History

#1 - 2015-02-03 11:13 AM - Sandro Santilli

A contributed patch by Martin was proveded by Mathieu here: http:/lists.osgeo.org/pipermail/qgis-developer/2015-January/036309.html

#2 - 2015-02-04 01:08 PM - Sandro Santilli

The problem with Martin patch is that the rendered image becomes larger as rotation is added. It is not clipped and position is always set to 0,0 upper-left,

resulting in a weird shift maximum at 45 and multiple degrees

#3 - 2015-02-04 01:12 PM - Sandro Santilli

Martin's patch applied in a PR that'll be used for staging: https://github.com/qgis/QGIS/pull/1882

#4 - 2015-02-06 09:06 AM - Sandro Santilli
- % Done changed from 0 to 90
- Assignee changed from Sandro Santilli to Nyall Dawson
PR is ready for merge. Travis passes and Nyall deeply tested manually. Re-assigning to him for the final merge.

#5 - 2015-02-07 06:35 AM - Sandro Santilli
- Status changed from Open to Closed

Fixed in changeset commit:"a40eca4a343eacff8c610e7f945e675a0edf0ec6".
